// vars -----------------------------
$font-stack: 'Nunito', sans-serif;
$primary-color: #333;

// mixins ---------------------------
@mixin borderRadius($property) {
  -webkit-border-radius: $property;
  -moz-border-radius: $property;
  border-radius: $property;
}

body {
  padding:100px 0 0 0;
  font: 100% $font-stack;
  color: $primary-color;
}

.bg-dark {
  width: 100%;
  height: 100px;
  background: url(), linear-gradient(175.95deg, #4279DB 0%, #82AFFF 99.07%);
  background-repeat: no-repeat;
  background-size:cover;
  background-blend-mode: multiply, normal;
  box-shadow: 0px 0px 40px rgba(15, 26, 79, 0.3);  
}

.placeholder-logo {
  width: 252px;
  height: 98px;
}

.navbar-nav {
  width:80%;
  padding:0px 20px 0 50px;
  .nav-item{
    padding-top:30px;
    margin-top:-30px;
    &.dropdown.show{
      border-top:3px solid #fff;
      padding-top:27px;
    }
  }
  .dropdown-toggle::after{
    display:none;
  }
  .dropdown-toggle:hover{
    color: #38E5C4;
    background-color:#fff;
    &:before{
      display: inline-block;
      content: ' ';
      background-image: url('/img/arrow-right.png');
      background-repeat: no-repeat;
      background-size: contain;
      height: 28px;
      width: 48px;
      margin-bottom:-8px;
    }
  }
  .dropdown-menu.show{
    position:fixed;
    display:block;
    width:100%;
    top:131px;
    left:0px;
    padding-left:10px;
    padding-right:10px;
    float:left;
    border:none;
    .dropdown-item{
      font-size: 21px;
      line-height: 28px;
      border-bottom: 1px solid #E9EEF2;
      color: #200D59;
      padding-left:320px;
      &:hover{
        color: #38E5C4;
        background-color:#fff;
        &:before{
          display: inline-block;
          content: ' ';
          background-image: url('/img/arrow-right.png');
          background-repeat: no-repeat;
          background-size: contain;
          height: 28px;
          width: 48px;
          margin-bottom:-8px;
        }
      }
    }
  }
}

.navbar-dark .navbar-nav .nav-link{
  font-size: 16px;
  line-height: 18px;
  letter-spacing: 1px;
  color: #FFFFFF;
}

.btn-lg{
  &.btn-secondary{
    display:inline-block;
    background-color:transparent;
    font-family: $font-stack;
    font-size: 16px;
    font-weight:bold;
    text-align:center;
    padding-top:14px;
    margin-left:40px;
    line-height: 19px;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #FFFFFF;
    border: 1px solid #FFFFFF;
    box-sizing: border-box;
    .nav-link {
      color: #FFFFFF;
    }
  }
  &.search{
    border:none;
    background-color:transparent;
  }
  &.search-mobile{
    display:none;
    border:none;
    background-color:transparent;
    svg {
      position:absolute;
      top:30px;
      right:20%;
    }
  }
}

.search-form{
  display:none;
  width:80%;
  margin: 0 auto;
  text-align:center;
  color: #200D59;
  border-bottom:1px solid #E9EEF2;
  padding:40px 0 10px 0;
  label{
    float:left;
  }
  .search-form-input{
    color:#333;
    border:none;
    width:80%;
    padding:5px;
  }
  .close-search{
    float:right;
    font-size:30px;
    line-height:30px;
    margin-top:-5px;
    color:#38E5C4;
  }
}





// ===================== MOBILE ===========================
@media screen and (max-width: 1200px) {
  .placeholder-logo {
    width: 165px;
    height: 64px;
  }

  .navbar-collapse.collapsing, .navbar-collapse.collapse.show{
    position:absolute;
    top:140px;
    left:10px;
    width:100%;
  }

  .navbar-dark .navbar-nav .nav-link{
    color: #200D59 !important;
    font-size: 22px !important;
    line-height: 28px !important;
    letter-spacing: 1px !important;
    min-width:100%;
    padding:30px 0 30px 0;
  }
  
  .navbar-nav {
    .nav-item{
      &.dropdown.show{
        border-top:none;
      }
    }
    .dropdown-menu.show{
      position:fixed;
      display:block;
      width:100%;
      min-height:100vh;
      top:131px;
      left:0px;
      padding-left:10px;
      padding-right:10px;
      float:left;
      border:none;
      .dropdown-item{
        font-size: 22px;
        line-height: 28px;
        color: #200D59;
        padding:30px 0 30px 50px;
        &:hover{
          color: #38E5C4;
          background-color:#fff;
          &:before{
            display: inline-block;
            content: ' ';
            background-image: url('/img/arrow-right.png');
            background-repeat: no-repeat;
            background-size: contain;
            height: 28px;
            width: 48px;
            margin-bottom:-8px;
          }
        }
      }
    }
  }

  .btn-lg{
    &.btn-secondary{
      display:block;
      background-color:transparent;
      width:80%;
      margin:30px auto;
      font-family: $font-stack;
      font-size: 16px;
      font-weight:bold;
      text-align:center;
      padding-top:14px;
      line-height: 19px;
      letter-spacing: 1px;
      text-transform: uppercase;
      color: #38E5C4;
      border: 1px solid #38E5C4;
      box-sizing: border-box;
      .nav-link {
        color: #38E5C4;
      }
    }
    &.search{
      display:none;
    }
    &.search-mobile{
      display:block;
    }
  }

  .search-form{
    display:none;
    width:80%;
    margin: 0 auto;
    text-align:center;
    color: #200D59;
    height:100vh;
    z-index:9999;
    border-bottom:1px solid #E9EEF2;
    padding:40px 0 10px 0;
    label{
      float:left;
    }
    .search-form-input{
      color:#333;
      border:none;
      width:50%;
      padding:5px;
    }
    .close-search{
      float:right;
      font-size:30px;
      line-height:30px;
      margin-top:-5px;
      color:#38E5C4;
    }
  }
}

// navbar fixed-top navbar-expand-lg navbar-dark bg-dark fixed-top